# -*- encoding: utf-8 -*-
# stub: schemaless_rest_api 0.2.2 ruby lib

Gem::Specification.new do |s|
  s.name = "schemaless_rest_api".freeze
  s.version = "0.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://gitlab.com/samuel-garratt/schemaless_rest_api/CHANGELOG.md", "homepage_uri" => "https://gitlab.com/samuel-garratt/schemaless_rest_api", "source_code_uri" => "https://gitlab.com/samuel-garratt/schemaless_rest_api" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Garratt".freeze]
  s.bindir = "exe".freeze
  s.date = "2022-01-14"
  s.description = "Simple schema less rest API that can be run in docker and have entities configured through a simple list of environment variables.\nIt follows convention over configuration to allow you to get a REST api that stores unstructured data fast.".freeze
  s.email = ["samuel.garratt@sentify.co".freeze]
  s.executables = ["schemaless_rest_api".freeze]
  s.files = ["exe/schemaless_rest_api".freeze]
  s.homepage = "https://gitlab.com/samuel-garratt/schemaless_rest_api".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "TSimple schema less rest API that have entities configured through environment variables".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mongo>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sinatra>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sinatra-docdsl>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<puma>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<route_downcaser>.freeze, [">= 0"])
  else
    s.add_dependency(%q<mongo>.freeze, [">= 0"])
    s.add_dependency(%q<sinatra>.freeze, [">= 0"])
    s.add_dependency(%q<sinatra-docdsl>.freeze, [">= 0"])
    s.add_dependency(%q<puma>.freeze, [">= 0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
    s.add_dependency(%q<route_downcaser>.freeze, [">= 0"])
  end
end
